## emacs23 23.2+1

=== debian/changelog ===
emacs23 (23.2+1-7ubuntu2) natty; urgency=low

  * debian/patches/no_cpp_multiarch_dir_mangling.diff: make sure cpp doesn't
    mangle our multiarch include path due to a built-in macro matching the
    architecture name.  LP: #749270.

 -- Steve Langasek <vorlon@debian.org>  Mon, 04 Apr 2011 08:51:24 +0000

emacs23 (23.2+1-7ubuntu1) natty; urgency=low

  [ Hajime Mizuno ]
  * Merge from debian unstable(LP: #705383).  Remaining changes:
  * debian/control.in:
    - Change Maintainer to Ubuntu Core Developers, per Ubuntu policy.
    - Conflict and Replace emacs23-common-non-dfsg, since we provide
      all of its features.
    - Do not suggest emacs23-common-non-dfsg.
    - Replace use of Source-Version with source:Version.
    - Require autotools-dev (>= 20100122.1) in Build-Depends, since
      the version in Karmic will fail due to a missing Perl module.
  * debian/control: Regenerate.
  * debian/copyright.in:
    - Remove text about removed files.
  * debian/copyright: Regenerate.
  * debian/emacsVER-common.postinst:
    - Don't install info files to info/dir.  This happens
      automatically now.
  * debian/emacsVER-common.prerm:
    - Don't remove info files from info/dir.  This happens
      automatically now.
  * debian/emacsVER-common.prerm:
    - Don't remove info files from info/dir.  This happens
      automatically now.
  * debian/patches:
    - handle-dfsg-split.diff: Remove.
    - ubuntu-restore-nondfsg-files.diff: New patch that reintroduces
      the non-DFSG files, with the exception of .elc files and info
      files, which use special characters and thus can't be easily
      represented in patch form.  These will be regenerated at build
      time.
  * debian/rules:
    - Do not install replacements for non-DFSG files.
    - Install all info files, not just efaq.
    - Avoid uselessly building info files a 2nd time.
  * fix-ftbfs-xft-fontconfig.diff to avoid FTBFS.
  * debian/patches/fix-menus.diff: Fix http://debbugs.gnu.org/6499
    (Emacs gets stuck waiting for menu input).  (LP: #569914)

 -- Hajime Mizuno <hajime.mizuno@gmail.com>  Sun, 12 Dec 2010 11:24:28 +0000

emacs23 (23.2+1-7) unstable; urgency=low

  * Don't initialize the terminal twice.  Previously a console-mode
    Emacs would send the escape sequence to switch to the alternate
    screen twice. At a minimum, this caused problems with screen.
    Thanks to Courtney Bane <debian-bugs-5265@cbane.org> for the
    report and the patch. (closes: #599463)

  * Fix the value for RIPEMD-160 in epg-digest-algorithm-alist
    according to RFC 4880.  Thanks to Daniel Kahn Gillmor
    <dkg@fifthhorseman.net> for the report and the fix.
    (closes: #594510)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 11 Dec 2010 11:00:07 -0600

emacs23 (23.2+1-6) unstable; urgency=low

  * Build-depend on "bsd-mailx | mailx" rather than just "mailx" since
    the latter is a virtual package.  Thanks to Cyril Brulebois
    <kibi@debian.org> for the report, and thanks to Mehdi Dogguy
    <mehdi@debian.org> for the 23.2+1-5.1 NMU. (closes: #600826)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 26 Nov 2010 11:34:32 -0600

emacs23 (23.2+1-5) unstable; urgency=low

  * Apply upstream patches to prevent the string and unibyte-string
    functions from overflowing the stack
    (prevent-string-stack-overflow.diff,
    prevent-let-eval-apply-stack-overflow.diff, and
    use-safe-alloca-lisp-in-let-eval-apply-apply_lambda.diff).  Thanks
    to Carl Worth <cworth@debian.org> and Sven Joachim
    <svenjoac@gmx.de> for finding the patches (closes: #586459).

  * Apply upstream patch to prevent mail destined for
    mail-archive-file-name from being lost
    (fix-gnus-output-to-mail-with-live-rmail-buffers.diff).  Thanks to
    Jeroen Nijhof <jeroen@nijhof.uklinux.net> for the report and Sven
    Joachim <svenjoac@gmx.de> for tracking down the patch.
    (closes: #597255)

  * Remove debian-adjust-mail-from-addresses-patch.diff to stop
    adjusting the message-sendmail-f-is-evil default.  Match the
    behavior of the Debian gnus package, Emacs upstream, and
    emacs-snapshot.  Thanks to Artem Chuprina <ran@wizzle.ran.pp.ru>
    for the report. (closes: #397757)

  * Apply upstream patch to fix the computation of the width of
    dual-width fonts (fix-fc-dual-font-width-calculation.diff).
    Thanks to mizuno hajime <hajime.mizuno@gmail.com> for the report
    and Sven Joachim <svenjoac@gmx.de> for tracking down the
    patch. (closes: #588808)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 18 Oct 2010 00:17:56 -0500

emacs23 (23.2+1-4ubuntu2) natty; urgency=low

  * debian/patches/fix-menus.diff: Fix http://debbugs.gnu.org/6499
    (Emacs gets stuck waiting for menu input).  (LP: #569914)

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 04 Nov 2010 15:56:10 -0400

emacs23 (23.2+1-4ubuntu1) natty; urgency=low

  [ Michael W. Olson (GNU address) ]
  * Resync with Debian.  Remaining changes:
  * debian/control.in:
    - Change Maintainer to Ubuntu Core Developers, per Ubuntu policy.
    - Conflict and Replace emacs23-common-non-dfsg, since we provide
      all of its features.
    - Do not suggest emacs23-common-non-dfsg.
    - Replace use of Source-Version with source:Version.
    - Require autotools-dev (>= 20100122.1) in Build-Depends, since
      the version in Karmic will fail due to a missing Perl module.
  * debian/control: Regenerate.
  * debian/copyright.in:
    - Remove text about removed files.
  * debian/copyright: Regenerate.
  * debian/emacsVER-common.postinst:
    - Don't install info files to info/dir.  This happens
      automatically now.
  * debian/emacsVER-common.prerm:
    - Don't remove info files from info/dir.  This happens
      automatically now.
  * debian/patches:
    - handle-dfsg-split.diff: Remove.
    - ubuntu-restore-nondfsg-files.diff: New patch that reintroduces
      the non-DFSG files, with the exception of .elc files and info
      files, which use special characters and thus can't be easily

