=== debian/control ===
Source: emacs23
Section: editors
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
 libgif-dev | libungif4-dev, libtiff4-dev | libtiff-dev, xaw3dg-dev,
 libpng12-dev, libjpeg62-dev, libm17n-dev, libotf-dev,
 libgpm-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libdbus-1-dev,
 autoconf, automake, autotools-dev (>= 20100122.1), dpkg-dev (>> 1.10.0), quilt (>= 0.42),
 debhelper (>= 7.0.50~), libxaw7-dev, sharutils, imagemagick, libgtk2.0-dev,
 libgconf2-dev, libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Homepage: http://www.gnu.org/software/emacs/
Standards-Version: 3.7.2

Package: emacs
Architecture: all
Depends: emacs23 | emacs23-lucid | emacs23-nox, ${misc:Depends}
Provides: emacsen, editor, mail-reader, news-reader
Description: The GNU Emacs editor (metapackage)
 GNU Emacs is the extensible self-documenting text editor.
 This is a metapackage which will always depend on the latest Emacs
 release.

Package: emacs23-lucid
Architecture: any
Depends: emacs23-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: emacs23, emacsen, editor, info-browser, mail-reader, news-reader
Conflicts: emacs23, emacs23-nox, emacs23-gtk
Replaces: emacs23, emacs23-nox, emacs23-gtk
Description: The GNU Emacs editor
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs with a Lucid user interface.

Package: emacs23-nox
Architecture: any
Depends: emacs23-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: emacs23, editor, emacsen, info-browser, mail-reader, news-reader
Conflicts: emacs23, emacs23-lucid, emacs23-gtk
Replaces: emacs23, emacs23-lucid, emacs23-gtk
Description: The GNU Emacs editor (without X support)
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs compiled without support for X.

Package: emacs23
Architecture: any
Depends: emacs23-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: editor, emacsen, info-browser, mail-reader, news-reader, emacs23-gtk
Conflicts: emacs23-lucid, emacs23-nox, emacs23-gtk
Replaces: emacs23-lucid, emacs23-nox, emacs23-gtk
Description: The GNU Emacs editor (with GTK+ user interface)
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs with a GTK+ user interface.

Package: emacs23-bin-common
Architecture: any
Depends: emacs23-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: The GNU Emacs editor's shared, architecture dependent files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture dependent infrastructure
 that's shared by emacs23, emacs23-lucid, and emacs23-nox.

Package: emacs23-common
Architecture: all
Depends: emacsen-common (>= 1.4.10), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Suggests: emacs23-el
Conflicts: emacs23-el (<< ${source:Version}), emacs23-common-non-dfsg
Replaces: emacs23-common-non-dfsg
Description: The GNU Emacs editor's shared, architecture independent infrastructure
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture independent infrastructure
 that's shared by emacs23, emacs23-lucid, and emacs23-nox.

Package: emacs23-el
Architecture: all
Depends: emacs23-common (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.
