## emacs23 23.3%2b1

=== debian/changelog ===
emacs23 (23.3+1-1ubuntu9) precise; urgency=low

  * debian/patches/unity-shrinkage.patch: Back port of upstream Emacs 24
    patch to prevent automatic uncontrollable shrinkage of the window to
    one row high when no menu bar is used under Unity/Gtk+/Ubuntu 12.04.
    (LP: #941790)

 -- Barry Warsaw <barry@ubuntu.com>  Sat, 24 Mar 2012 13:07:38 -0400

emacs23 (23.3+1-1ubuntu8) precise; urgency=low

  * debian/patches/emacsVER-lp725988.patch: Set the X EMACS_CLASS
    to "Emacs23" to please bamf and gnome shell (LP: #725988)
  * debian/emacsVER.desktop: also set StartupWMClass (same reason)

 -- Fabien Tassin <fta@sofaraway.org>  Wed, 15 Feb 2012 18:42:46 +0100

emacs23 (23.3+1-1ubuntu7) precise; urgency=low

  * debian/patches/emacs-xgselect.patch: Initialize xgselect in
    function xg_select when gfds_size == 0.  Fixes 100% CPU startup
    freeze with glib 2.31.  (LP: #902043)

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 09 Dec 2011 02:17:48 -0500

emacs23 (23.3+1-1ubuntu6) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:29:34 -0700

emacs23 (23.3+1-1ubuntu5) precise; urgency=low

  * Transition to libjpeg8-dev, so our build-deps no longer conflict.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 01 Dec 2011 21:52:48 -0700

emacs23 (23.3+1-1ubuntu4) oneiric; urgency=low

  * Revert addition of ubuntu-fix-extract-filename-on-gcc-warn-or-err.diff
    that broke armel build. Reopens LP #814468.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 14 Aug 2011 12:13:49 -0400

emacs23 (23.3+1-1ubuntu3) oneiric; urgency=low

  * Apply patch from longo resolving gcc-include's failure to
    properly extract the filename and to jump to line position.
    (LP: #814468)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 14 Aug 2011 10:33:32 -0400

emacs23 (23.3+1-1ubuntu2) oneiric; urgency=low

  * src/s/gnu-linux.h (START_FILES): Use CRT_DIR.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 12:54:07 +0200

emacs23 (23.3+1-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable; remaining changes:
    - debian/patches/no_cpp_multiarch_dir_mangling.diff: make sure cpp
      doesn't mangle our multiarch include path due to a built-in macro
      matching the architecture name.
    - debian/control.in:
      - Conflict and Replace emacs23-common-non-dfsg, since we provide
        all of its features.
      - Do not suggest emacs23-common-non-dfsg.
      - Replace use of Source-Version with source:Version.
    - debian/copyright.in:
      - Remove text about removed files.
    - debian/emacsVER-common.{postinst,prerm}: Don't install info files to
      info/dir.  This happens automatically now.
    - debian/patches:
      - -Remove-files-that-appear-to-be-incompatible-with-the.patch: Remove.
      - ubuntu-restore-nondfsg-files.diff: New patch that reintroduces
        the non-DFSG files, with the exception of .elc files and info
        files, which use special characters and thus can't be easily
        represented in patch form.  These will be regenerated at build
        time.
    - debian/rules:
      - Do not install replacements for non-DFSG files.
      - Install all info files, not just efaq.
      - Avoid uselessly building info files a 2nd time.
  * Dropped changes:
    - debian/patches/fix-ftbfs-xft-fontconfig.diff: merged in Debian.
    - debian/patches/fix-menus.diff: present upstream.
    - Require autotools-dev (>= 20100122.1) in Build-Depends: don't use
      versioned build-depends to work around buggy versions.
    - debian/patches/fix-decimal-point-in-font-size.diff: no documentation in
      the changelog for this change, from an upstream bug report but not
      upstreamed.
  * debian/patches/no_cpp_multiarch_dir_mangling.diff: only include i386
    here; if the toolchain triplet matches the multiarch path, this is
    already handled in configure.in.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 28 May 2011 05:57:27 +0000

emacs23 (23.3+1-1) unstable; urgency=low

  * Incorporate new upstream version 23.3.

  * Don't clear FONTCONFIG_LIBS and FONTCONFIG_CFLAGS in configure.
    Thanks to Peter Fritzsche <peter.fritzsche@gmx.de> for the report
    and Matthias Klose <doko@ubuntu.com> for the patch.
    (closes: #554324)

  * Adjust emacsVER-common.README to accommodate new patch headers.
    Add debian/patch-to-news to handle converting new git-dpm style
    patch headers to emacsVER-common.README.

  * Rely on autotools-dev for config.guess and config.sub.

  * Fix a tty-related preprocessor inclusion error affecting GNU/Hurd
    systems.  Thanks to Samuel Thibault <sthibault@debian.org> for the
    report and the patch. (closes: #610576)

  * Expect 0 from kill() for zombies on GNU/Hurd.  This should prevent
    Emacs from hanging on affected systems.  Thanks to Samuel Thibault
    <sthibault@debian.org> for the report and the patch.
    (closes: #611591)

  * Remove debian/dfsg-splitter since the split is now being handled
    directly in git.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 10 Apr 2011 10:33:31 -0500
