## emacs23 23.3+1

=== debian/changelog ===
emacs23 (23.3+1-1ubuntu9.1) precise-security; urgency=low

  * SECURITY UPDATE: untrusted search path vulnerability
    - debian/patches/CVE-2012-0035.patch: add new option and use it in
      lisp/cedet/ede/auto.el, lisp/cedet/ede.el, lisp/cedet/ede/simple.el.
    - CVE-2012-0035
  * SECURITY UPDATE: arbitrary lisp code execution via crafted file
    - debian/patches/CVE-2012-3479.patch: ignore eval: forms that are not
      known to be safe if enable-local-variables is set to :safe in
      lisp/files.el.
    - CVE-2012-3479

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Sep 2012 10:57:56 -0400
