=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: emacs23
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
  libgif-dev | libungif4-dev, libtiff4-dev | libtiff-dev, xaw3dg-dev,
- libpng12-dev, libjpeg62-dev, libm17n-dev, libotf-dev,
+ libpng12-dev, libjpeg8-dev | libjpeg-dev, libm17n-dev, libotf-dev,
  libgpm-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libdbus-1-dev,
- autoconf, automake, autotools-dev (>= 20100122.1), dpkg-dev (>> 1.10.0), quilt (>= 0.42),
+ autoconf, automake, autotools-dev, dpkg-dev (>> 1.10.0), quilt (>= 0.42),
  debhelper (>= 7.0.50~), libxaw7-dev, sharutils, imagemagick, libgtk2.0-dev,
  libgconf2-dev, libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Homepage: http://www.gnu.org/software/emacs/
