=== debian/rules ===
--- 
+++ 
@@ -153,6 +153,7 @@
 # the two vars below) or not?
 export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 export DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # As recommended by /usr/share/doc/autotools-dev/README.Debian.gz.
 # Handle cross-compiling and don't make ./configure guess.
@@ -177,6 +178,3 @@
     # There -O2 causes a build failure (broken byte compiler) - see
     # bugs #207580 and #582439.
     CFLAGS += -O1
-  else # neq (m68k or ia64)
-    CFLAGS += -O2
-  endif # neq (m68k or ia64)
